%global provider	github
%global provider_tld	com
%global project		SeanDolphin
%global repo		bqschema
%global commit		41d07ee00eeaf8282a8bde17cbddab98635b7a4a

%global import_path	%{provider}.%{provider_tld}/%{project}/%{repo}
%global shortcommit	%(c=%{commit}; echo ${c:0:7})
%global debug_package	%{nil}

Name:		golang-%{provider}-%{project}-%{repo}
Version:	0
Release:	0.3.git%{shortcommit}%{?dist}
Summary:	Package for creating Google Big Query from Go structs
License:	ASL 2.0
URL:		http://%{import_path}
Source0:	https://github.com/%{project}/%{repo}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
BuildArch:      noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm}
%endif

%description
BQSchema is a package used to created Google Big Query schema
directly from Go structs and import BigQuery QueryResponse
into arrays of Go structs.

%package devel
BuildRequires:	golang >= 1.2.1-3
BuildRequires:	golang(github.com/onsi/gomega)
BuildRequires:	golang(github.com/onsi/ginkgo)
BuildRequires:	golang(code.google.com/p/google-api-go-client)
Requires:	golang >= 1.2.1-3
Summary:	%{summary}
Provides:	golang(%{import_path}) = %{version}-%{release}

%description devel
BQSchema is a package used to created Google Big Query schema 
directly from Go structs and import BigQuery QueryResponse 
into arrays of Go structs.

This package contains library source intended for 
building other packages which use %{project}/%{repo}.

%prep
%setup -q -n %{repo}-%{commit}

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
cp -pav *.{go,yaml} %{buildroot}/%{gopath}/src/%{import_path}/

%check
GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}

%files devel
%doc README.md LICENSE
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%dir %{gopath}/src/%{import_path}
%{gopath}/src/%{import_path}/*.go
%{gopath}/src/%{import_path}/*.yaml

%changelog
* Fri Oct 24 2014 jchaloup <jchaloup@redhat.com> - 0-0.3.git41d07ee
- Bump to upstream 41d07ee00eeaf8282a8bde17cbddab98635b7a4a
  related: #1148460

* Thu Sep 25 2014 Jan Chaloupka <jchaloup@redhat.com> - 0-0.1.gitb8a3500
- First package for Fedora



